2009/06/01

Google Maps v3

Just last week Google announced the third version of the Google Maps API.

It's a full rewrite, so for the moment it can't be used to replace the current maps in most of the sites (features like polylines and polygons are missing at the moment), but it can be tested and I might start porting the current plugin for FCKeditor to use the new API.

Why should I care about it if it isn't ready?

One of the first claims that you see is the compatibility with mobile browsers, that's nice. Improved speed is also welcome. Modularization means that less code is loaded and everything will work better, but....

NO KEYS REQUIRED!!!

(Sorry for the caps)

So when the new version of the plugin is released, you'll be able to use it in any site without worrying about getting and storing those stupid keys. If you have a site that it's served under different names it will work without any extra magic. OK, one problem might remain: the static maps do still require the key, but if it isn't available the rest of the functionality should work.

Things might go like this:
A version 2.3 for use in FCKeditor 2.x with the Maps Api 3
A version 3.0 for use in CKeditor 3.x with the Maps Api 3. This one will be easy to remember :-)

Of course, that 3.0 version might take a while, the v3 maps must get back enough of the functionality from the current version so it can be used without problems, and CKEditor v3 must be released and then I have to rewrite all the code so it can work with the new CKEditor API.

As you can imagine, rewriting all the code is not a pleasant task, and due to the work with new versions some unexpected bugs might arise that needs to be fixed at the other side.

4 comments:

digitalsaint said...

Greetings,

Any word of progress on the rewriting of the plugin for CKEditor 3?

Alfonso said...

Sorry, I'm always tempted to start coding it but then I always find something else that I think that it's more important at that moment. I promise that someday I will port it!

khayer said...

hi alfonso,
can i re-write your plugin .?

Thanks
bdmapper.

Alfonso said...

I'm about half way of the new version. It seems that not all the previous features will be available right now because Google still hasn't added them to v3, but I guess (or hope) that it won't be long before they finally add all the missing bits.